# CategoriesPrintListener (Document Manager API Documentation)
Keywords: com.arsdigita.cms.docmgr.ui.CategoriesPrintListener class

## com.arsdigita.cms.docmgr.ui
Class CategoriesPrintListener

    java.lang.Object
      com.arsdigita.cms.docmgr.ui.CategoriesPrintListener

All Implemented Interfaces:
  EventListener, com.arsdigita.bebop.event.PrintListener

public class CategoriesPrintListener
extends Object
implements com.arsdigita.bebop.event.PrintListener

Field Summary

Fields inherited from interface com.arsdigita.bebop.event.PrintListener
`versionId`

Constructor Summary
`CategoriesPrintListener(com.arsdigita.cms.ContentSection docsContentSection)`
`CategoriesPrintListener(com.arsdigita.cms.ContentSection docsContentSection, com.arsdigita.bebop.parameters.BigDecimalParameter selectedFileParam)`
`CategoriesPrintListener(com.arsdigita.cms.ContentSection docsContentSection, com.arsdigita.bebop.parameters.BigDecimalParameter selectedFileParam, boolean showRoot)`

Method Summary
`void` `prepare(com.arsdigita.bebop.event.PrintEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoriesPrintListener

    public CategoriesPrintListener(com.arsdigita.cms.ContentSection docsContentSection)

### CategoriesPrintListener

    public CategoriesPrintListener(com.arsdigita.cms.ContentSection docsContentSection,
                                   com.arsdigita.bebop.parameters.BigDecimalParameter selectedFileParam)

### CategoriesPrintListener

    public CategoriesPrintListener(com.arsdigita.cms.ContentSection docsContentSection,
                                   com.arsdigita.bebop.parameters.BigDecimalParameter selectedFileParam,
                                   boolean showRoot)

Method Detail

### prepare

    public void prepare(com.arsdigita.bebop.event.PrintEvent e)

  Specified by:
    `prepare` in interface `com.arsdigita.bebop.event.PrintListener`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC